# $Revision: 1.24 $, $Date: 2005/05/05 00:25:41 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# tests require Internet connection
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	Mechanize
Summary:	WWW::Mechanize - automate interaction with websites
Summary(pl):	WWW::Mechanize - automatyzacja interakcji ze stronami WWW
Name:		perl-WWW-Mechanize
Version:	1.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6d134315f9a512d2e4b7b5c0a8c1331e
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-libwww >= 5.76
BuildRequires:	perl-URI
BuildRequires:	perl-HTML-Parser >= 3.33
BuildRequires:	perl(Test::More) >= 0.34
BuildRequires:	perl-Test-Pod >= 1.00
%endif
Requires:	perl-libwww >= 5.76
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WWW::Mechanize, or Mech for short, was designed to help you automate
interaction with a website. It supports performing a sequence of page
fetches including following links and submitting forms. Each fetched
page is parsed and its links and forms are extracted. A link or a form
can be selected, form fields can be filled and the next page can be
fetched. Mech also stores a history of the URLs you've visited, which
can be queried and revisited.

%description -l pl
Modu Perla WWW::Mechanize, w skrcie Mech, zosta zaprojektowany, aby
uatwi automatyzacj interakcji ze stronami WWW. Wspiera on
wykonywanie szeregu kolejnych pobra stron, wczajc w to podanie
za odnonikami i odsyanie formularzy. Kada z pobranych stron jest
przetwarzana i wydzielane s z niej odnoniki i formularze. Mona
wybra odnonik lub formularz, wypeni pola formularza i pobra
nastpn stron. Mech przechowuje rwnie histori odwiedzanych URL-i,
o ktre mona odpyta i je ponownie odwiedzi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo "y" | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%dir %{perl_vendorlib}/%{pdir}/%{pnam}
%{perl_vendorlib}/%{pdir}/%{pnam}/*.pm
%{_mandir}/man?/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WWW-Mechanize.spec,v $
Revision 1.24  2005/05/05 00:25:41  ankry
- updated to 1.10; license fix

Revision 1.23  2004/12/27 16:36:58  adamg
- updated to 1.08

Revision 1.22  2004/12/12 10:30:48  adamg
- updated to 1.06

Revision 1.21  2004/11/07 10:26:28  paladine
- updated to 1.04

Revision 1.20  2004/11/03 22:30:53  paladine
- formatting

Revision 1.19  2004/05/07 00:32:05  ankry
- rel. 2

Revision 1.18  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.17  2004/05/04 13:34:33  ankry
- cosmetics

Revision 1.16  2004/04/14 10:59:09  adamg
- updated to 1.02

Revision 1.15  2004/04/10 20:02:27  adamg
- updated to 1.00

Revision 1.14  2004/04/08 06:01:34  adamg
- updated to 0.76

Revision 1.13  2004/03/28 11:20:20  adamg
- updated to 0.74

Revision 1.12  2004/01/25 00:13:31  arekm
- autoupdated to 0.72

Revision 1.11  2003/12/08 19:16:05  migo
- R: perl-libwww > 5.76

Revision 1.10  2003/12/07 20:13:31  migo
- up 0.70

Revision 1.9  2003/11/15 12:50:06  migo
- up to 0.66
- made mech-dump executable

Revision 1.8  2003/11/10 22:19:47  migo
- up to 0.65

Revision 1.7  2003/10/28 19:14:58  migo
- up to 0.64
- updated BRs

Revision 1.6  2003/10/15 14:38:23  migo
- up to 0.63

Revision 1.5  2003/10/08 07:19:10  migo
- up to 0.62

Revision 1.4  2003/10/07 13:27:55  migo
- up to 0.61
- new bcond style
- proper BRs for test

Revision 1.3  2003/09/27 22:42:01  adamg
- updated to 0.60

Revision 1.2  2003/09/25 22:19:57  ankry
- pl translation, cosmetics

Revision 1.1  2003/09/20 12:32:32  arekm
- initial pld release
